<?
session_start();
include("../includes/common.php");






$error="";
$status="";

if(isset($_POST['submit']))
{
	/* checking referer */
	if (!isset($_SERVER["HTTP_REFERER"])||!eregi("^".$SITE_URL,$_SERVER["HTTP_REFERER"]))
	{
		$error .= base64_encode("Ошибка при передаче данных!");
		header("Location: $SITE_URL"."/error.php?error=$error");
		exit;
	}

	/* checking data */
	reset ($_POST);
	while (list($key, $value) = each ($_POST)) {
		$$key = trim(substr($value,0,10000));
	}

	if($email==""){
		$error .= "Укажите Ваш e-mail, пожалуйста.<br>\n";
	}
	if (!ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'. '@'. '[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.' . '[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email)){ 
		$error .= "Укажите правильный e-mail, пожалуйста.<br>\n";
	}
	if($title==""){
		$error .= "Укажите тему сообщения, пожалуйста.<br>\n";
	}
	if($msg==""){
		$error .= "Введите сообщение, пожалуйста.<br>\n";
	}

	if($error=="")
	{
		SendEMail($SUPPORT_EMAIL,stripslashes($title),stripslashes($msg),stripslashes($name)."<$email>");
		$status = "Ваше сообщение успешно отправлено. Мы обязательно свяжемся с Вами в течение 24 часов. Спасибо!";
		header("Location: ./status.php?status=".base64_encode($status));
		exit;
	}
	else{
		$error = base64_encode($error);
	}

}

if ("" != $error)
{
	$error = base64_decode($error);
}

$smarty->assign("title", $SETTINGS['site_name']);
$smarty->assign("info", "Со всеми вопросами и замечаниями обращайтесь в 
службу поддержки, пожалуйста.");
$smarty->assign("ex_currencies", $ex_currencies);
$smarty->assign("main_class", "main");
$smarty->assign("money_cources", get_currency_cources());
$smarty->assign("metal_cources", get_metal_cources());
$smarty->assign("error", $error);
$smarty->assign("name", $name);
$smarty->assign("email", $email);
$smarty->assign("topic", $title);
$smarty->assign("msg", $msg);
$smarty->display("smartex_support.tpl");

?>